Subject: bug#23927: 25.0.94; Errors when updating using package.el

From: Live System User <[email-masked]>
Date: Tue, 12 Jul 2016 17:52:26 -0400

Glenn Morris <[email-masked]> writes:

> Eli Zaretskii wrote:
>
>>> package-activate-1: Required feature 'info' was not provided
>>
>> A recipe to reproduce this will be appreciated.  The 'info' feature
>> comes with Emacs, so the only way I could understand how this can
>> happen is that somehow load-path doesn't include the standard
>> directories when this code is run. 
>
> The above error actually means that the first "info.el" found in
> load-path did not "(provide 'info)", not that no "info.el" was found.
>
>> But why and how could that happen?
>
> The OP has some broken info.el early in their load-path, presumably one
> that isn't part of Emacs.

  There is a MELPA package I have installed called "realgud" that
  has the file:

      ~/.emacs.d/elpa/realgud/common/buffer/info.el(.elc)

  Perhaps package.el should deal with this type of issue, otherwise
  package authors will have to avoid naming their .el files names
  that are the same as (some) Emacs library names?

  I'll contact the author of "realgud".

>
>> A typo?  From package.el:
>
> Looks like a clear typo.
>
>>   (defface package-status-built-in
>
> It is a shame this was named "built-in" (with hyphen), when compared to
> the long-standing "font-lock-builtin-face" (without hyphen) from which
> it inherits.

  Thanks.